# The MongoDB\BSON\UTCDateTimeInterface interface

(mongodb >=1.3.0)

## Introduction

This interface is implemented by MongoDB\BSON\UTCDateTime but may also be used for type-hinting and userland classes.

## Class synopsis

MongoDB\BSON\UTCDateTimeInterface {
/* Methods */
abstract public toDateTime ( void ) : DateTime
abstract public __toString ( void ) : string
}

## Table of Contents

- MongoDB\BSON\UTCDateTimeInterface::toDateTime — Returns the DateTime representation of this UTCDateTimeInterface
- MongoDB\BSON\UTCDateTimeInterface::__toString — Returns the string representation of this UTCDateTimeInterface